UncategorizedDataAccessException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.dao

## Class UncategorizedDataAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.UncategorizedDataAccessException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    HibernateJdbcException, HibernateJdbcException, HibernateSystemException, HibernateSystemException, JdoSystemException, JpaSystemException, SQLWarningException, UncategorizedSQLException

      public abstract class UncategorizedDataAccessException
      extends NonTransientDataAccessException

  Normal superclass when we can't distinguish anything more specific than "something went wrong with the underlying resource": for example, a SQLException from JDBC we can't pinpoint more precisely.
  Author:
    Rod Johnson
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncategorizedDataAccessException(String msg, Throwable cause)` Constructor for UncategorizedDataAccessException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UncategorizedDataAccessException

          public UncategorizedDataAccessException(String msg,
                                          Throwable cause)

      Constructor for UncategorizedDataAccessException.
      Parameters:
        `msg` - the detail message
        `cause` - the exception thrown by underlying data access API